agency-board

PATCH /v1/agency/boards/{boardId}/cards/{cardId}/checklist/{itemId}

Tick or un-tick one checklist item.

모든 agency-board 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.

이 엔드포인트는 조직 ID를 받지 않습니다. 사용자의 키가 이미 속한 조직을 식별하며, 응답은 해당 조직으로 한정됩니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X PATCH https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/checklist/{itemId} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "done": <boolean> }'

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

⛔ Idempotent, and it records nothing on the board's timeline when the state already matches. A checkbox re-sending its state would otherwise read as "ticked Deploy, 6 times" for one tick. ⭐ `done_by` is kept when an item is un-ticked. "Who ticked this and then un-ticked it" is a question an agency gets asked by its client, and clearing the field makes it unanswerable while looking tidier.

매개변수

이름유형필수설명
boardId (path)UuidProject board ID (UUIDv7).
cardId (path)UuidBoard card ID (UUIDv7).
itemId (path)UuidBoard checklist item ID (UUIDv7).

요청 본문

이름유형필수설명
doneboolean

응답

이름유형필수설명
idUuidUUIDv7 identifier — sortable by creation time (docs/02 §8).
card_idUuidUUIDv7 identifier — sortable by creation time (docs/02 §8).
textstring
positioninteger
done_atstring아니요When it was ticked. `null` means outstanding.
done_byAgencyBoardActor아니요Who ticked it. ⛔ Kept when the item is un-ticked as well, so "Sam ticked this and then un-ticked it" stays answerable.
created_atstring아니요

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 404 · 422